Bug 549559 - (CVE-2009-4427) CVE-2009-4427 phpldapadmin: local file inclusion vulnerability
CVE-2009-4427 phpldapadmin: local file inclusion vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=debian,reporte...
: Security
Depends On: 549563
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-21 18:26 EST by Vincent Danen
Modified: 2010-01-20 08:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-31 07:07:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2009-12-21 18:26:47 EST
A debian bug report [1] noted a phpldapadmin local file inclusion vulnerability.  Upstream has not addressed this yet from what I can see, and a public exploit/advisory is availble [2] as well as a Secunia advisory [3].

This would affect Fedora 11, 12, and rawhide as well as EPEL4 and EPEL5.  No CVE name has been assigned yet.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=561975
[2] http://www.exploit-db.com/exploits/10410
[3] http://secunia.com/advisories/37848/
Comment 3 Dmitry Butskoy 2009-12-23 09:06:15 EST
F11 is affected only. Solution is upgrade to 1.2 

F12 and rawhide already have phpldapadmin-1.2.0.4, which is not affected.

EPEL4 and EPEL5 have versions before 1.1, which are not affected yet.
Comment 4 Fedora Update System 2009-12-23 09:31:11 EST
phpldapadmin-1.2.0.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/phpldapadmin-1.2.0.4-1.fc11
Comment 5 Fedora Update System 2009-12-24 15:35:00 EST
phpldapadmin-1.2.0.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Russell Odom 2010-01-20 06:46:31 EST
According to http://phpldapadmin.sourceforge.net/wiki/index.php/Main_Page...
> This vulnerability is confirmed in 1.1.0.7 and probably exists in previous releases
...so are we sure this doesn't need fixing in EPEL?
Comment 7 Dmitry Butskoy 2010-01-20 08:05:09 EST
As I've already mentioned in comment #3 ,

EPEL4 and EPEL5 have versions before 1.1, which are not affected yet. 

IOW, phpldapadmin 1.0.1 is not affected, as have no such a feature and an appropriate peace of code (which was added since the version 1.1 only)

Note You need to log in before you can comment on or make changes to this bug.